#
# spec file for package libmikmo (Version 3.1.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libmikmo
Copyright:    LGPL
Group:        Development/Libraries
Provides:     libmikmod 
Autoreqprov:  on
Summary:      MikMod sound library
Version:      3.1.9
Release:      184
Source0: libmikmod-3.1.9.tar.gz
Patch0: libmikmod-3.1.9.dif

%description
libmikmod is a portable sound library, capable of playing samples
as well as module files, originally written by  Jean-Paul Mikkers
(MikMak) for DOS. Supports OSS /dev/dsp, ALSA and EsounD, and can
also write wav files. Supported file formats include mod, stm,
s3m, mtm, xm,  and it.

SuSE series: snd

%prep
%setup -n libmikmod-3.1.9
%patch -P 0 -E

%build
%{?suse_update_config:%{suse_update_config -f}}
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/usr --infodir=%{_infodir}  \
  
touch ./Makefile.in --reference=./include/Makefile.am
touch ./configure --reference=./include/Makefile.am
touch ./drivers/Makefile.in --reference=./include/Makefile.am
touch ./libmikmod/Makefile.in --reference=./include/Makefile.am
touch ./loaders/Makefile.in --reference=./include/Makefile.am
touch ./mmio/Makefile.in --reference=./include/Makefile.am
touch ./playercode/Makefile.in --reference=./include/Makefile.am
touch ./docs/Makefile.in --reference=./include/Makefile.am
touch ./macintosh/Makefile.in --reference=./include/Makefile.am
touch ./os2/Makefile.in --reference=./include/Makefile.am
touch ./win32/Makefile.in --reference=./include/Makefile.am
make

%install
make install
mv /usr/man/man1/libmikmod-config.1 /usr/share/man/man1/
install -d -m 755 %{_docdir}/libmikmo
install -m 644 ./README %{_docdir}/libmikmo
install -m 644 ./AUTHORS %{_docdir}/libmikmo
install -m 644 ./COPYING.LIB %{_docdir}/libmikmo
install -m 644 ./INSTALL %{_docdir}/libmikmo
install -m 644 ./NEWS %{_docdir}/libmikmo
install -m 644 ./TODO %{_docdir}/libmikmo
install -m 644 ./PROBLEMS %{_docdir}/libmikmo
install -m 644 ./COPYING.LESSER %{_docdir}/libmikmo

%files
%docdir /usr/doc
%docdir /usr/man
%dir %{_docdir}/libmikmo
/usr/share/man/man1/libmikmod-config.1.gz
/usr/bin/libmikmod-config
%doc %{_docdir}/libmikmo/AUTHORS
%doc %{_docdir}/libmikmo/COPYING.LESSER
%doc %{_docdir}/libmikmo/COPYING.LIB
%doc %{_docdir}/libmikmo/INSTALL
%doc %{_docdir}/libmikmo/NEWS
%doc %{_docdir}/libmikmo/PROBLEMS
%doc %{_docdir}/libmikmo/README
%doc %{_docdir}/libmikmo/TODO
/usr/include/mikmod.h
/usr/include/mikmod_build.h
/usr/include/mikmod_internals.h
%doc %{_infodir}/mikmod.info-1.gz
%doc %{_infodir}/mikmod.info-2.gz
%doc %{_infodir}/mikmod.info-3.gz
%doc %{_infodir}/mikmod.info.gz
/usr/lib/libmikmod.a
/usr/lib/libmikmod.la
/usr/lib/libmikmod.so
/usr/lib/libmikmod.so.2
/usr/lib/libmikmod.so.2.0.2
/usr/share/aclocal/libmikmod.m4

%changelog -n libmikmo
* Sat Nov 04 2000 - kukuk@suse.de
- use new long package names
* Wed Jun 21 2000 - schwab@suse.de
- Add %%suse_update_config.
* Sun Jun 18 2000 - adrian@suse.de
- fixed man path
* Fri Jun 16 2000 - adrian@suse.de
- update to 3.1.9
* Fri Jun 02 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Thu Mar 02 2000 - uli@suse.de
- moved info files to %%{_infodir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - kettner@suse.de
- New version 3.1.7
* Fri May 07 1999 - kettner@suse.de
- Install additional include files for kmikmod
* Thu May 06 1999 - kettner@suse.de
- Spec file created from libmikmod-3.1.6.tar.gz by autospec
